# Retrieve a delivery report Delivery reports can be retrieved even if no callback was requested. The difference between a summary and a full report is only that the full report contains the phone numbers in E.164 format for each status code. Endpoint: GET /xms/v1/{service_plan_id}/batches/{batch_id}/delivery_report Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" - `batch_id` (string, required) The batch ID you received from sending a message. Example: "01FC66621XXXXX119Z8PMV1QPQ" ## Query parameters: - `type` (string) The type of delivery report. - A summary will count the number of messages sent per status. - A full report give that of a summary report but in addition, lists phone numbers. Enum: "summary", "full" - `status` (array) Comma separated list of delivery_report_statuses to include Enum: "Queued", "Dispatched", "Aborted", "Cancelled", "Failed", "Delivered", "Expired", "Rejected", "Deleted", "Unknown" - `code` (array) Comma separated list of delivery_receipt_error_codes to include Enum: 400, 401, 402, 403, 404, 405, 406, 407, 408, 410, 411, 412, 413, 414, 415, 416, 417, 418 ## Response 200 fields (application/json): - `batch_id` (string, required) The ID of the batch this delivery report belongs to. Example: "01FC66621XXXXX119Z8PMV1QPQ" - `statuses` (array, required) Array with status objects. Only status codes with at least one recipient will be listed. - `statuses.code` (integer, required) The detailed [status code](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/delivery-report-error-codes). Enum: 400, 401, 402, 403, 404, 405, 406, 407, 408, 410, 411, 412, 413, 414, 415, 416, 417, 418 - `statuses.count` (integer, required) The number of messages that currently has this code. Example: 2 - `statuses.status` (string, required) The simplified status as described in _Delivery Report Statuses_. Enum: "Queued", "Dispatched", "Aborted", "Cancelled", "Failed", "Delivered", "Expired", "Rejected", "Deleted", "Unknown" - `statuses.recipients` (array) Only for full report. A list of the phone number recipients which messages has this status code. Example: ["15551231234","15551256344"] - `total_message_count` (integer, required) The total number of messages in the batch. Example: 2 - `type` (string, required) The delivery report type. Enum: "delivery_report_sms", "delivery_report_mms" - `client_reference` (string) The client identifier of the batch this delivery report belongs to, if set when submitting batch. ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error. ## Response 404 fields